<?php
require("../../config/koneksi.php");
require("../../config/function.php");
require("../../config/crud.php");
(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';

if ($pg == 'hapus3') {
    $id = $_POST['id'];
    delete($koneksi, 'deskripsi', ['id' => $id]);
}
if ($pg == 'ubah3') {
     $data = [
            'deskripsi'     => $_POST['deskripsi']
            
        ];
    
    $id = $_POST['id'];
    $exec = update($koneksi, 'deskripsi', $data, ['id' => $id]);
    echo $exec;
}
if ($pg == 'hapus4') {
    $id = $_POST['id'];
    delete($koneksi, 'deskripsi', ['id' => $id]);
}
if ($pg == 'ubah4') {
     $data = [
            'deskripsi'     => $_POST['deskripsi']
            
        ];
    
    $id = $_POST['id'];
    $exec = update($koneksi, 'deskripsi', $data, ['id' => $id]);
    echo $exec;
}
if ($pg == 'hapus_nilai3') {
    $id = $_POST['id'];
    delete($koneksi, 'nilai_rapor', ['id' => $id]);
}
if ($pg == 'tambah3') {
    $mapel = $_POST['mapel'];
	$kelas = $_POST['kelas'];
	$deskrip = $_POST['deskrip'];
	$jum = mysqli_num_rows(mysqli_query($koneksi, "SELECT * FROM deskripsi WHERE mapel='$mapel' AND kelas='$kelas' AND ki='KI3'"));
    $urut=$jum+1;
	$data=[
	'mapel' =>$mapel,
	'kelas' =>$kelas,
	'deskripsi' =>$deskrip,
	'ki' => 'KI3',
	'urut' =>$urut,
	'smt' => $_POST['smt']
	];
	$exec=insert($koneksi,'deskripsi',$data);
	echo $exec;
}
if ($pg == 'tambah4') {
    $mapel = $_POST['mapel'];
	$kelas = $_POST['kelas'];
	$deskrip = $_POST['deskrip'];
	$jum = mysqli_num_rows(mysqli_query($koneksi, "SELECT * FROM deskripsi WHERE mapel='$mapel' AND kelas='$kelas' AND ki='KI4'"));
    $urut=$jum+1;
	$data=[
	'mapel' =>$mapel,
	'kelas' =>$kelas,
	'deskripsi' =>$deskrip,
	'ki' => 'KI4',
	'urut' =>$urut,
	'smt' => $_POST['smt']
	];
	$exec=insert($koneksi,'deskripsi',$data);
	echo $exec;
}